<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\TicketBundle\Action\Comment\Handler;

use Chill\TicketBundle\Action\Comment\UpdateCommentContentCommand;
use Chill\TicketBundle\Entity\Comment;

final readonly class UpdateCommentContentCommandHandler implements UpdateCommentContentCommandHandlerInterface
{
    public function __construct(
    ) {}

    public function handle(Comment $comment, UpdateCommentContentCommand $command): void
    {
        $comment->setContent($command->content);
    }
}
